JobControllerGetLatestJobRunEvent Method |
POST /Job/GetLatestJobRunEvent/
Gets the latest
JobRunEvent object associated with the
JobRun ID.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (9.0.0.1000)
Syntax[HttpPostAttribute]
[ActionNameAttribute("GetLatestJobRunEvent")]
public HttpResponseMessage GetLatestJobRunEvent(
[FromBodyAttribute] long id,
Nullable<Guid> sessionId = null
)<HttpPostAttribute>
<ActionNameAttribute("GetLatestJobRunEvent")>
Public Function GetLatestJobRunEvent (
<FromBodyAttribute> id As Long,
Optional sessionId As Nullable(Of Guid) = Nothing
) As HttpResponseMessagepublic:
[HttpPostAttribute]
[ActionNameAttribute(L"GetLatestJobRunEvent")]
HttpResponseMessage^ GetLatestJobRunEvent(
[FromBodyAttribute] long long id,
Nullable<Guid> sessionId = nullptr
)
[<HttpPostAttribute>]
[<ActionNameAttribute("GetLatestJobRunEvent")>]
member GetLatestJobRunEvent :
[<FromBodyAttribute>] id : int64 *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> HttpResponseMessage
Parameters
- id
- Type: SystemInt64
The ID associated with the JobRun. - sessionId (Optional)
- Type: SystemNullableGuid
Current session ID.
Return Value
Type:
HttpResponseMessageA
JobRunEventData object, or a status code indicating the problem.
See Also